.hero-video {
    position: relative;
    height: 100dvh;
    display: flex;
    align-items: flex-end;
    padding: 60px 0 40px;
    color: #fff;
}

.hero-video .video-wrapper {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.hero-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-video h1 {
    color: #fff;
    margin-bottom: 15px;
}

.hero-video .hero-subtitle {
    font-size: 22px;
    color: #FDF8F4;
}

.hero-video .text-wrapper {
    display: flex;
    gap: 30px;
    margin-top: 36px;
}

.hero-video .description-wrapper {
    font-size: 18px;
    font-weight: 400;
}

.hero-video .description-wrapper strong {
    font-weight: 500;
}

.hero-video .date-loc-wrapper-outer {
    display: flex;
    justify-content: flex-start;
}

.hero-video .date-loc-wrapper {
    display: flex;
    background: rgba(0, 0, 0, 0.60);
    border-radius: 8px;
    overflow: hidden;
    width: auto;
    justify-content: flex-start;
}

.hero-video .date-loc-wrapper-inner {
    display: flex;
}

.hero-video .date-loc-wrapper .date-single,
.hero-video .date-loc-wrapper .location-single {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 0 25px;
    font-size: 12px;
    font-family: 'owners-xwide';
    letter-spacing: 0.36px;
    font-weight: 500;
    line-height: 1;
}

.hero-video .date-loc-wrapper .btn {
    border-radius: 0;
}

.hero-video .date-loc-wrapper .btn.btn-primary:hover,
.hero-video .date-loc-wrapper .btn.btn-primary:active,
.hero-video .date-loc-wrapper .btn.btn-primary:focus-within {
    background: #fff;
    border-color: #fff;
    color: #000;
    opacity: 1;
}

.hero-video .date-loc-wrapper .btn.btn-primary:hover svg path,
.hero-video .date-loc-wrapper .btn.btn-primary:active svg path,
.hero-video .date-loc-wrapper .btn.btn-primary:focus-within svg path {
    stroke: #000;
}

.hero-video .location-single svg,
.hero-video .date-single svg {
    min-width: 13px;
}

@media (max-width:991px) {
    .hero-video .description-wrapper {
        display: none;
    }

}

@media (max-width:768px) {
    .hero-video h1 {
        font-size: 38px;
        margin-bottom: 9px;
    }

    .hero-video .hero-subtitle {
        font-size: 16px;
    }

    .hero-video .text-wrapper {
        margin-top: 25px;
    }

    .hero-video .date-loc-wrapper {
        flex-direction: column;
        background-color: transparent;
        overflow: auto;
        width: 100%;
    }

    .hero-video .date-loc-wrapper-inner {
        width: 100%;
        border-radius: 0 0 5px 5px;
        background: rgba(0, 0, 0, 0.60);
        padding: 20px 22px;
        gap: 20px;
    }

    .hero-video .date-loc-wrapper-outer {
        width: 100%;
    }

    .hero-video .date-loc-wrapper .date-single,
    .hero-video .date-loc-wrapper .location-single {
        padding: 0;
    }

    .hero-video .btn {
        border-radius: 0 0 5px 5px;
        background: #FFCD22;
        border-color: #FFCD22;
        width: 100%;
        justify-content: space-between;
    }

    .hero-video .date-loc-wrapper .btn.btn-primary:hover,
    .hero-video .date-loc-wrapper .btn.btn-primary:active,
    .hero-video .date-loc-wrapper .btn.btn-primary:focus-within {
        background: #fff;
        border-color: #fff;
        color: #000;
        opacity: 1;
    }

    .hero-video .date-loc-wrapper .btn.btn-primary:hover svg path,
    .hero-video .date-loc-wrapper .btn.btn-primary:active svg path,
    .hero-video .date-loc-wrapper .btn.btn-primary:focus-within svg path {
        stroke: #000;
    }
}

.video-play-btn {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translateY(-50%) translateX(-50%);
    cursor: pointer;
    z-index: 999;
    border-radius: 999px;
    overflow: hidden;
}

.video-modal {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

.video-modal__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    opacity: 0;
}

.video-modal__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -60%) scale(0.95);
    width: 90%;
    max-width: 1600px;

    background: #000;
    padding: 0;
    border-radius: 0;

    opacity: 0;
    max-height: 75svh;

}

.video-modal video {
    width: 100%;
    height: auto;
    display: block;
    aspect-ratio: 16 / 9;
}

.video-modal__close {
    position: absolute;
    top: -30px;
    right: -30px;
    background: none;
    border: 0;
    font-size: 28px;
    cursor: pointer;
}

@media (max-width:1600px) {
    .video-modal__content {
        max-width: 1199px;
    }
}

@media (max-width:991px) {
    .video-modal__content {
        padding: 8px;
    }

    .video-modal__close svg {
        max-width: 32px;
    }

    .hero-video {
        padding: 20px 0;
    }

    .video-play-btn {
        top: 30%;
    }
}